
Redmine - Defect #24707

Activity in User Profile shows incorrect date/time, dependent to Time zone 

2016-12-28 09:50 - kaz k

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

There are 3 area which shows "Activity".

1. Activity in "Project"

2. Activity in "User Profile" (offical name maybe different ...), which shows User Name, Mail(optional), projects to which the user

joins in the left, recent activity of the user in the right.

3. Activity History of the user, which shows activity history in 30 days period (days are set differently at the installation). You could

go to the past history and come back.

We observed the following.

1. Among these 3 "Activity", Date/Time is different in 2. from 1 and 3.

2. Compared with the actual modification date and time, 2. shows wrong date/time, while 1. and 3. shows correct date/time.

3. Wrong Date/Time is related to Time zone setting of User profile of the viewer, which means who is to view Activities. It is not the

setting of the user to be viewed.

For example, if Time zone is set to JST, ie. GMT+09:00(Tokyo), activities between 00:00-08:59 (in JST) are diaplayed as it

was in the day before.

example: Activity at Dec.22, 2016 06:35 AM =>  Dec. 21 , 2016 06:35 AM

In order to confirm, if Time zone is changed to GMT, ie. GMT+00:00(London), all activities are displayed correctly.

We wonder if these 3 activity listing use different calculation logic.

Please note:

1. There are several open issues about Time zone, such as #6991, #5425, #5091. I am not sure if the issue described here is the

duplicate of existing ones. If so, I am happy if someone would point it out.

I made this issue to clarify the phenomena. hope this helps.

2. The issue happens but, in my opinion, the severity is minor.

Redmine version 3.1.1.stable

Related issues:

Is duplicate of Redmine - Defect #14658: Wrong activity timezone on user page Closed

Has duplicate Redmine - Defect #5425: Showing date in activity page is wrong Closed 2010-05-02

Has duplicate Redmine - Defect #1048: Day grouping on Activity view ignores u... Closed 2008-04-12

History

#1 - 2017-01-01 03:11 - Go MAEDA

- Is duplicate of Defect #14658: Wrong activity timezone on user page added

#2 - 2017-01-01 03:15 - Go MAEDA

- Category set to Activity view

- Status changed from New to Closed

- Priority changed from Low to Normal

- Target version set to 3.2.5

- Resolution set to Duplicate

I have submitted a workaround on #14658#note-10.

2025-05-17 1/2

https://www.redmine.org/issues/6991
https://www.redmine.org/issues/5425
https://www.redmine.org/issues/5091
https://www.redmine.org/issues/14658#note-10


Thank you for the detailed report about the problem.

#3 - 2017-01-01 03:19 - Go MAEDA

- Target version deleted (3.2.5)

#4 - 2017-01-01 13:30 - kaz k

Go MAEDA wrote:

I have submitted a workaround on #14658#note-10.

Thank you for the detailed report about the problem.

 Many thanks. I will examine the patch.

Have a great year to all of Redmine community.

#5 - 2017-01-10 13:30 - Toshi MARUYAMA

- Has duplicate Defect #5425: Showing date in activity page is wrong added

#6 - 2017-01-10 13:33 - Toshi MARUYAMA

- Has duplicate Defect #1048: Day grouping on Activity view ignores user's time zone added
